Subject: [clisp-list] eof caching

From: [email-masked] (Don Cohen)
Date: Fri Oct 24 14:50:20 2003

using two different clisp processes I do this:

clisp 1                clisp 2
open file for append
                       open same file for read
write to file
                       read file until I get eof (before new data)
close file

At this point I might hope to do another read in clisp 2 but I
still get eof.  However, if I set file-position back one then
I can read not only the last old character but also the new
data.
This was with buffered character file streams, though I don't
know whether that matters.

Anyone know (or have opinions on) how this stuff ought to work?